<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RegisterUser StructType
 * @package Dg
 * @subpackage Structs
 */
class DgRegisterUser extends AbstractStructBase
{
    /**
     * The UserOperationsRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgUserOperationsRQ
     */
    public $UserOperationsRQ;
    /**
     * Constructor method for RegisterUser
     * @uses DgRegisterUser::setUserOperationsRQ()
     * @param \dgsoft\StructType\DgUserOperationsRQ $userOperationsRQ
     */
    public function __construct(\dgsoft\StructType\DgUserOperationsRQ $userOperationsRQ = null)
    {
        $this
            ->setUserOperationsRQ($userOperationsRQ);
    }
    /**
     * Get UserOperationsRQ value
     * @return \dgsoft\StructType\DgUserOperationsRQ|null
     */
    public function getUserOperationsRQ()
    {
        return $this->UserOperationsRQ;
    }
    /**
     * Set UserOperationsRQ value
     * @param \dgsoft\StructType\DgUserOperationsRQ $userOperationsRQ
     * @return \dgsoft\StructType\DgRegisterUser
     */
    public function setUserOperationsRQ(\dgsoft\StructType\DgUserOperationsRQ $userOperationsRQ = null)
    {
        $this->UserOperationsRQ = $userOperationsRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgRegisterUser
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
